<?php
!defined("MONKEYMAO") && die("Accessed Defined!");
header('Content-Type:text/html;charset=GB2312');
if($menu == 'checkusername' && $username){
		$guestexp = '\xA1\xA1|\xAC\xA3|^Guest|^\xD3\xCE\xBF\xCD|\xB9\x43\xAB\xC8';		
		if(preg_match("/^\s*$|^c:\\con\\con$|[%,\*\"\s\t\<\>\&]|$guestexp/is", $username)) {
			mexit('对不起，用户名不能输入特殊字符，请返回重新输入');
		}
		if(strlen($username) > 15) {
			mexit('对不起，您输入的用户名不能大于15个字符，请返回重新输入');
		}
		$query = $db -> query("SELECT mid FROM {$tablepre}members WHERE username='$username'");
		if($db -> num_rows($query)){
			mexit('对不起，用户"'.$username.'"已经存在，请返回重新填写');
		}
		mexit("ok");
}elseif($menu == 'checkcompany' && $company){
		$query = $db -> query("SELECT cid FROM {$tablepre}company WHERE company='$company'");
		if($db -> num_rows($query)){
			mexit('注意：公司名称 "'.$company.'"已经存在，前台将不显示本用户所填写的公司资料');
		}
		mexit("ok");
}elseif($menu == 'checkeditcompany' && $company){
		$query = $db -> query("SELECT cid,company,view FROM {$tablepre}company WHERE mid !='$mid' AND company='$company'");
		if($db -> num_rows($query)){
			
			while($com =  $db -> fetch_array($query)){
				if($com['view']){
					mexit('注意：公司名称 "'.$company.'"已经存在，前台将不显示本用户所填写的公司资料');
				}
			}
			
		}
		mexit("ok");
}
?>